<?php
// update_approval.php

// Your database connection
require_once('database-connection/db.php');

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['studentID'])) {
    $studentID = $_POST['studentID'];

    // Update 'approved' column to 1 in the 'students' table for the given student ID
    $query = "UPDATE students SET approved = 0 WHERE student_id = :studentID";
    $stmt = $conn->prepare($query);
    $stmt->bindParam(':studentID', $studentID);

    if ($stmt->execute()) {
        // The update was successful
        http_response_code(200); // Send a success response
    } else {
        // Error during the update
        http_response_code(500); // Send a server error response
    }
} else {
    // Handle cases when studentID is not set or request method is not POST
    http_response_code(400); // Send a bad request response
}
?>
